# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Dragon Warrior Template

game: Dragon Warrior
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Dragon Warrior:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  #######################
  # Archipelago Options #
  #######################
  levelsanity:
    # Makes level-ups location checks. 
    # This adds between 1-29 checks depending on on the LevelSanity Range option below.
    'false': 0
    'true': 50

  levelsanity_range:
    # How many level-ups are included as location checks. Levels after 10 have the magic key in logic to prevent a tedious early grind.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 2
    # Maximum value is 30
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-2-30: 0 # random value between 2 and 30

  searchsanity:
    # Adds search spot items as location checks.
    # This adds 3 checks.
    'false': 0
    'true': 50

  shopsanity:
    # Buying a piece of equipment sends a location check instead of buying it. Adds progressive equipment items instead.
    # This adds 13 checks. This option overrides and disables the randomized equipment shops option below.
    'false': 50
    'true': 0

  monstersanity:
    # Killing a monster for the first time sends a location check. This adds 40 checks. This option overrides and disables
    # the random monster zones option below.
    'false': 50
    'true': 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ##################
  # Random Options #
  ##################
  random_growth:
    # Player statistical growth at each level will be randomized.
    'false': 50
    'true': 0

  random_map:
    # The overworld map will be randomly generated. Stairs leading to other maps (Tantegel Basement, Garin's Grave) 
    # are also shuffled.
    # 
    # Note that this is currently an experimental option! If you roll an unwinnable seed please let the developer know.
    'false': 50
    'true': 0

  random_map_size:
    # Sets the size of the randomly generated map.
    normal: 50
    small: 0
    very_small: 0

  random_spell_learning:
    # The order and level you learn spells will be random.
    'false': 50
    'true': 0

  random_weapon_shops:
    # The weapons available in each shop will be randomized.
    # 
    # Overriden and disabled by Shopsanity option above.
    'false': 50
    'true': 0

  random_weapon_prices:
    # The prices of weapons in shops will be randomized.
    'false': 50
    'true': 0

  heal_hurt_before_more:
    # HEAL must come before HEALMORE; HURT before HURTMORE. This option only does something if you have Random Spell Learning on
    'false': 50
    'true': 0

  random_xp_requirements:
    # Experience requirements for each level will be randomized
    'false': 50
    'true': 0

  random_monster_abilities:
    # Monster spells and abilities will be randomized
    'false': 50
    'true': 0

  random_monster_zones:
    # Monster encounters in each zone will be randomized
    'false': 50
    'true': 0

  random_monster_stats:
    # Monster strength, agility, and HP will be randomized
    'false': 50
    'true': 0

  random_monster_xp:
    # The XP and GOLD gained from monsters will be randomized
    'false': 50
    'true': 0

  make_random_stats_consistent:
    # This makes the random stats, XP, and GOLD consistent with one another
    'false': 50
    'true': 0

  #####################
  # Challenge Options #
  #####################
  scared_metal_slimes:
    # Metal Slimes will always have a chance to run
    'false': 50
    'true': 0

  scaled_metal_slime_xp:
    # Metal Slime XP will depend on your current level
    'false': 50
    'true': 0

  no_hurtmore:
    # You will never learn HURTMORE. Monsters can still have it. This only works with Randomized Spells on
    'false': 50
    'true': 0

  only_healmore:
    # Never learn any spell other than this. This only works with Randomized Spells on
    'false': 50
    'true': 0

  no_numbers:
    # No numbers will be visible until the Dragonlord fight
    'false': 50
    'true': 0

  invisible_hero:
    # Your sprite will be invisible
    'false': 50
    'true': 0

  invisible_npcs:
    # All NPCs will be invisible
    'false': 50
    'true': 0

  bonk_damage:
    # Bonking into walls will deal damage!
    none: 50
    1_hp: 0
    2_hp: 0
    20_hp: 0
    instakill: 0
    random_damage: 0
    halve_health: 0

  ###############
  # QOL Options #
  ###############
  enable_menu_wrapping:
    # This enables cursor wrapping in menus
    'false': 0
    'true': 50

  enable_death_necklace:
    # Equipping the death necklace will give +10AP and -25% HP
    'false': 0
    'true': 50

  enable_battle_torches:
    # Torches and Fairy water can be thrown at monsters
    'false': 0
    'true': 50

  repel_in_dungeons:
    # Enables REPEL to work in dungeons
    'false': 0
    'true': 50

  permanent_repel:
    # REPEL will always be active
    'false': 50
    'true': 0

  permanent_torch:
    # At least a 3x3 area will always be lit in dungeons
    'false': 50
    'true': 0

  fast_text:
    # All text will progress much faster
    'false': 50
    'true': 0

  speed_hacks:
    # Various aspects of the game will be much faster
    'false': 50
    'true': 0

  summer_sale:
    # All weapons and armor 35-65% off!
    'false': 50
    'true': 0

  levelling_speed:
    # Determines how fast you level up
    normal: 0
    fast: 50
    very_fast: 0

  level_1_radiant:
    # If spells are randomized, makes sure the hero always knows Radiant. Overrides 'Only Healmore'
    'false': 50
    'true': 0

  level_1_repel:
    # If spells are randomized, makes sure the hero always knows Repel. Overrides 'Only Healmore'
    'false': 50
    'true': 0

  easy_charlock:
    # Make it slightly easier to run from high level monsters
    'false': 50
    'true': 0

  modern_spell_names:
    # Use spell names from more recent DQ releases
    'false': 0
    'true': 50

  skip_original_credits:
    # Skip the original credits and go straight to stat scroll
    'false': 50
    'true': 0

  return_escapes:
    # Return can be used in battle for a guaranteed escape
    'false': 50
    'true': 0

  return_to_town:
    # Wings and Return send you to the last place you saved or used an inn at
    'false': 50
    'true': 0

  warp_whistle:
    # The Fairy Flute will work as a warp whistle outside of battle, cycling between places you saved or used an inn at
    'false': 50
    'true': 0

  levelup_refill:
    # Have HP and MP refilled afater levelling up
    'false': 50
    'true': 0

  ascetic_king:
    # King Lorik will let the player keep their hard-earned gold upon dying.
    'false': 0
    'true': 50

  run_mechanics:
    # Change how a successful run is determined.
    # 
    # DW 1: Vanilla run mechanics
    # Safer DW 1: Vanilla run mechanics, 4th run attempt guaranteed
    # DW 2: 2/3 chance to run away at every attempt
    # DW 4: 1st attempt: 50%, 2nd attempt: 50%, 3rd attempt: 75%, 4th attempt, 100%
    dw1: 50
    safer_dw1: 0
    dw2: 0
    dw4: 0

  charlock_inn:
    # Make the final dive easier by having a comfy bed and breakfast at the Dragonlord's
    'false': 50
    'true': 0

  dl1_crits:
    # Allow excellent moves against the Dragonlord's 1st form
    'false': 50
    'true': 0

  dl2_crits:
    # Allow excellent moves against the Dragonlord's 2nd form
    'false': 50
    'true': 0

  #################
  # Other Options #
  #################
  shuffle_music:
    # Music in each area will be randomized
    'false': 50
    'true': 0

  disable_music:
    # This disables the game music in most situations
    'false': 50
    'true': 0

  show_death_counter:
    # The stats window will also have a death counter
    'false': 50
    'true': 0

  disable_spell_flashing:
    # Prevents the screen from flashing when you cast spells
    'false': 50
    'true': 0

  disable_red_flashes:
    # Prevents the screen from flashing when walking on damage tiles
    'false': 50
    'true': 0

  noir_mode:
    # It's all black and white baby!
    'false': 50
    'true': 0

  magic_herbs:
    # Make herbs refill MP rather than HP
    'false': 50
    'true': 0

  normal_flute_speed:
    # If Speed Hacks is on, the Fairy Flute music will not be sped up
    'false': 0
    'true': 50

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
